Bug 988025 - Boot of Fedora 19 Live KDE fails with unhandled intr 0x00000001 and returns to console
Boot of Fedora 19 Live KDE fails with unhandled intr 0x00000001 and returns t...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 10:42 EDT by bricole42
Modified: 2014-06-20 12:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:44:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File sosreport as copied to an USB key after switch to console (66.08 KB, text/plain)
2013-07-24 10:42 EDT, bricole42
no flags Details
File containing the output of journalctl after switch to console (57.06 KB, text/plain)
2013-07-24 10:44 EDT, bricole42
no flags Details

  None (edit)
Description bricole42 2013-07-24 10:42:14 EDT
Created attachment 777828 [details]
File sosreport as copied to an USB key after switch to console

Description of problem: Boot of Fedora 19 KDE live DVD fails


Version-Release number of selected component (if applicable): Fedora 19


How reproducible: systematice


Steps to Reproduce:
1. burn DVD from iso found on fedora-project site: Fedora-Live-KDE-i686-19-1.iso
2. boot from DVD
3. the logo fills in with a white shape in the center of the screen and switches back to console with an error message starting with PTHERM....unhandled intr 0X00000001 and instructing to cp sosreport.txt and output of journalctl.

Actual results: Cannot boot Fedora 19


Expected results: Live KDE Fedora 19 up and running


Additional info:
I have a very similar problem since kernel 3.9.x on fedora 17. The error message indicates also "nouveau ... unhandled interrupt 0X00000001" and freezes (need to power off with a long push on power switch). Latest updated kernel 3.9.10 did not help.
Comment 1 bricole42 2013-07-24 10:44:15 EDT
Created attachment 777831 [details]
File containing the output of journalctl after switch to console
Comment 2 bricole42 2013-11-04 08:37:38 EST
Anything new on this bug report?

Thanks in advance for any information!
Comment 3 Michele Baldessari 2013-11-17 16:00:59 EST
Likely fixed via:
commit b449a43f56d412a0260f3df08b061a5e937db77b
Author: Martin Peres <martin.peres@labri.fr>
Date:   Mon Sep 9 00:43:27 2013 +0200

    drm/nouveau/therm: ack any pending IRQ at init
    
    This is safe because ptherm hasn't been configured yet and will be a
    little further down the initialization path. Ptherm should be safe
    regarding to runtime reconfiguration.
    
    v2:
      - do not limit this patch to nv84-a3 and make it nv84+
    
    v3:
      - move the ack to fini()
      - disable IRQs on fini()
      - silently ignore un-requested IRQs
    
    Signed-off-by: Martin Peres <martin.peres@labri.fr>
    Signed-off-by: Ben Skeggs <bskeggs@redhat.com>


https://bugs.freedesktop.org/show_bug.cgi?id=68768

This will make it in 3.13 only
Comment 4 Michele Baldessari 2013-12-25 13:30:50 EST
Could you try 3.13-rc5 http://koji.fedoraproject.org/koji/buildinfo?buildID=486630 and let us know if this specific issue is gone or not?

Thanks,
Michele
Comment 5 bricole42 2013-12-26 05:56:43 EST
Thank you Michele for this new kernel.

Sorry if this looks stupid, but I do not know how to try it with my current environment, i.e. Fedora 17/kernel 3.8.13.

Can you give me a hint on this?

Thanks in advance,

Fabrice
Comment 6 Michele Baldessari 2013-12-26 14:26:02 EST
Hi Fabrice,

it might be a bit hazardous to move to 3.13rc series if a) you are still on F17 and b) if you don't know exactly what you're doing.

I suggest we revisit this once you upgraded to F20 or whenever 3.13 hits Fedora officially. Ok?

regards,
Michele
Comment 7 bricole42 2013-12-26 14:55:01 EST
Hi Michele,

Actually, I am stuck with F17 and kernel 3.8.13 because I couldn't follow the upgrades since I had to move to the newer kernel 3.9.10. That is when the bug with the screen driver started :-(

As soon as 3.13 is part of one of the live DVD, I will be able to try it, see whether the screen problem is solved and then move to the new Fedora.

Thanks again for all the good work!

BTW, season's greetings :)

Fabrice
Comment 8 Michele Baldessari 2013-12-26 15:30:41 EST
Hi Fabrice,

ah now I understand. Ok, no problems we can wait a bit then

Happy holidays to you too
Michele
Comment 9 Justin M. Forbes 2014-03-10 10:44:09 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.
Comment 10 bricole42 2014-06-20 12:39:38 EDT
Hello all and Michele in particular,

Sorry to have taken so long to update on this bug. I finally burnt a DVD with Fedora 20-1 KDE Live 686 and could boot on it until the welcome screen (I mean the icon 'Install to hard drive').

It thus looks corrected as far as I can judge.

I now need to figure out how I will upgrade from F17 to F20.1 without failing with the bug underway. Any advice?

Thanks again for the good work,

Fabrice

Note You need to log in before you can comment on or make changes to this bug.